Package org.kapott.hbci.tools

# Class ParameterFinder

java.lang.Object
org.kapott.hbci.tools.ParameterFinder

public class ParameterFinder extends Object
Parser zum bequemen Zugriff auf BPD/UPD-Parameter.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ParameterFinder.Query`
Liste bekannter Queries.

## Constructor Summary

Constructors
Constructor
Description
`ParameterFinder()`

## Method Summary

Modifier and Type
Method
Description
`static Properties`
`find(Properties props, String path)`
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.
`static Properties`
`find(Properties props, ParameterFinder.Query query)`
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.
`static Properties`
`findAll(Properties props, String path)`
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.
`static Properties`
`findAll(Properties props, ParameterFinder.Query query)`
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.
`static String`
`getValue(Properties props, String path, String defaultValue)`
Liefert einen einzelnen Wert.
`static String`
`getValue(Properties props, ParameterFinder.Query query, String defaultValue)`
Liefert einen einzelnen Wert.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterFinder

public ParameterFinder()

## Method Details

### find

public static Properties find(Properties props, ParameterFinder.Query query)
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.

Parameters:
  `props` - die Properties, in denen gesucht werden soll.
  `query` - das Query.
Returns:
  Liefert die gefundenen Properties. Niemals NULL sondern hoechstens leere Properties. Als Schluessel wird jeweils nicht der gesamte Pfad verwendet sondern nur der Teil hinter dem letzten Punkt.

### find

public static Properties find(Properties props, String path)
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck.

Parameters:
  `props` - die Properties, in denen gesucht werden soll.
  `path` - der Pfad. Es koennen Wildcards verwendet werden. Etwa so: Params_*.TAN2StepPar*.ParTAN2Step*.TAN2StepParams*.*secfunc")
Returns:
  Liefert die gefundenen Properties. Niemals NULL sondern hoechstens leere Properties. Als Schluessel wird jeweils nicht der gesamte Pfad verwendet sondern nur der Teil hinter dem letzten Punkt.

### findAll

public static Properties findAll(Properties props, ParameterFinder.Query query)
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck. Als Schluessel bleibt hierbei jedoch der gesamte Pfad erhalten. Das ist sinnvoll, wenn man ueber grosse Bereiche sucht und die Namen des letzen Elements im Baum gleich lauten koennen.

Parameters:
  `props` - die Properties, in denen gesucht werden soll.
  `query` - das Query.
Returns:
  Liefert die gefundenen Properties. Niemals NULL sondern hoechstens leere Properties.

### findAll

public static Properties findAll(Properties props, String path)
Sucht in props nach allen Schluesseln im genannten Pfad und liefert sie zurueck. Als Schluessel bleibt hierbei jedoch der gesamte Pfad erhalten. Das ist sinnvoll, wenn man ueber grosse Bereiche sucht und die Namen des letzen Elements im Baum gleich lauten koennen.

Parameters:
  `props` - die Properties, in denen gesucht werden soll.
  `path` - der Pfad. Es koennen Wildcards verwendet werden. Etwa so: Params_*.TAN2StepPar*.ParTAN2Step*.TAN2StepParams*.*secfunc")
Returns:
  Liefert die gefundenen Properties. Niemals NULL sondern hoechstens leere Properties.

### getValue

public static String getValue(Properties props, ParameterFinder.Query query, String defaultValue)
Liefert einen einzelnen Wert. Die Funktion loggt eine Warnung, wenn der gefundene Wert nicht eindeutig ist.

Parameters:
  `props` - die Properties.
  `query` - das Query.
  `defaultValue` - der Default-Wert, falls kein Wert gefunden wurde.
Returns:
  der gefundene Wert oder der Default-Wert.

### getValue

public static String getValue(Properties props, String path, String defaultValue)
Liefert einen einzelnen Wert. Die Funktion loggt einen Hinweis, wenn der gefundene Wert nicht eindeutig ist.

Parameters:
  `props` - die Properties.
  `path` - der Pfad.
  `defaultValue` - der Default-Wert, falls kein Wert gefunden wurde.
Returns:
  der gefundene Wert oder der Default-Wert.